ComponentException
Date: 2016-02-08

org.apache.avalon.framework.component

## Class ComponentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.avalon.framework.CascadingException
      - - org.apache.avalon.framework.component.ComponentException

- All Implemented Interfaces:
    java.io.Serializable, CascadingThrowable

      public class ComponentException
      extends CascadingException

  The exception thrown to indicate a problem with Components. It is usually thrown by ComponentManager or ComponentSelector.

  Deprecated: Use `ServiceException` instead.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentException(java.lang.String message)` Deprecated. use the String, String version to record the role
    `ComponentException(java.lang.String key, java.lang.String message)` Construct a new `ComponentException` instance.
    `ComponentException(java.lang.String key, java.lang.String message, java.lang.Throwable throwable)` Construct a new `ComponentException` instance.
    `ComponentException(java.lang.String message, java.lang.Throwable throwable)` Deprecated. use the String, String, Throwable version to record the role

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKey()` Get the key which let to the exception.
    `java.lang.String` | `getMessage()` Return a message describing the exception.
    `java.lang.String` | `getRole()` Deprecated. Use getKey instead

    - ### Methods inherited from class org.apache.avalon.framework.CascadingException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentException

          public ComponentException(java.lang.String key,
                            java.lang.String message,
                            java.lang.Throwable throwable)

      Construct a new `ComponentException` instance.
      Parameters:
        `key` - the lookup key
        `message` - the exception message
        `throwable` - the throwable

    - #### ComponentException

          public ComponentException(java.lang.String message,
                            java.lang.Throwable throwable)

      Deprecated. use the String, String, Throwable version to record the role
      Construct a new `ComponentException` instance.
      Parameters:
        `message` - the exception message
        `throwable` - the throwable

    - #### ComponentException

          public ComponentException(java.lang.String message)

      Deprecated. use the String, String version to record the role
      Construct a new `ComponentException` instance.
      Parameters:
        `message` - the exception message

    - #### ComponentException

          public ComponentException(java.lang.String key,
                            java.lang.String message)

      Construct a new `ComponentException` instance.
      Parameters:
        `key` - the lookup key
        `message` - the exception message

  - ### Method Detail

    - #### getKey

          public final java.lang.String getKey()

      Get the key which let to the exception. May be null.
      Returns:
        The key which let to the exception.

    - #### getRole

          public final java.lang.String getRole()

      Deprecated. Use getKey instead
      Get the key which let to the exception. May be null.
      Returns:
        The key which let to the exception.

    - #### getMessage

          public java.lang.String getMessage()

      Return a message describing the exception.
      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        exception message.